<?php
class ControllerModuleCustomerLink extends Controller {
	private $error = array(); 
	
	public function index() {   
		$this->language->load('module/customerlink');

		$this->document->setTitle($this->language->get('heading_title'));
		
		$this->load->model('setting/setting');
		
		$this->load->model('tool/image');
				
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
			$this->model_setting_setting->editSetting('customerlinks', $this->request->post);		
					
			$this->session->data['success'] = $this->language->get('text_success');
						
			$this->redirect($this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'));
		}
		
		/*Add Directory*/
		$direc = DIR_CATALOG . 'view/javascript/quicklink/themes/css/';
		$dh = opendir($direc);
		$this->data['files'][] = array(
			'tempname' => 'Default',
			'tempvalue' => 'tooltipster-default'
		);
		
		while (false !== ($filename = readdir($dh))) {
			if($filename !='.' && $filename !='..'){
				$str = explode('.',$filename);
				$str2 = explode('-',$str[0]);
				$this->data['files'][] = array(
					'tempname' => $str2[1],
					'tempvalue' => $str[0],
				);
			}
		}
		/********************************************/
				
		$this->data['heading_title'] = $this->language->get('heading_title');

		//Link tab
		$this->data['link_tab'] = $this->language->get('link_tab');
		$this->data['link_settings'] = $this->language->get('link_settings');
		$this->data['link_help'] = $this->language->get('link_help');
		$this->data['text_enabled'] = $this->language->get('text_enabled');
		$this->data['text_disabled'] = $this->language->get('text_disabled');
		
		$this->data['text_browse'] = $this->language->get('text_browse');
		$this->data['text_clear'] = $this->language->get('text_clear');
		$this->data['text_image_manager'] = $this->language->get('text_image_manager');
		
		$this->data['link_name'] = $this->language->get('link_name');
		$this->data['link_url'] = $this->language->get('link_url');
		$this->data['link_Image'] = $this->language->get('link_Image');
		$this->data['link_Status'] = $this->language->get('link_Status');
		$this->data['link_Add'] = $this->language->get('link_Add');

		$this->data['entry_banner'] = $this->language->get('entry_banner');
		$this->data['entry_dimension'] = $this->language->get('entry_dimension'); 
		$this->data['entry_layout'] = $this->language->get('entry_layout');
		$this->data['entry_position'] = $this->language->get('entry_position');
		$this->data['entry_status'] = $this->language->get('entry_status');
		$this->data['entry_sort_order'] = $this->language->get('entry_sort_order');
		
		$this->data['button_save'] = $this->language->get('button_save');
		$this->data['button_cancel'] = $this->language->get('button_cancel');
		$this->data['button_add_module'] = $this->language->get('button_add_module');
		$this->data['button_remove'] = $this->language->get('button_remove');
		
 		if (isset($this->error['warning'])) {
			$this->data['error_warning'] = $this->error['warning'];
		} else {
			$this->data['error_warning'] = '';
		}
		
		if (isset($this->error['dimension'])) {
			$this->data['error_dimension'] = $this->error['dimension'];
		} else {
			$this->data['error_dimension'] = array();
		}
		
  		$this->data['breadcrumbs'] = array();

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_home'),
			'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => false
   		);

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_module'),
			'href'      => $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => ' :: '
   		);
		
   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('heading_title'),
			'href'      => $this->url->link('module/customerlink', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => ' :: '
   		);
		
		$this->data['action'] = $this->url->link('module/customerlink', 'token=' . $this->session->data['token'], 'SSL');
		
		$this->data['cancel'] = $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL');
		
		$this->data['modules'] = array();
		
		$this->data['link_config'] = array();
		
		if (isset($this->request->post['link_add'])) {
			$this->data['modules'] = $this->request->post['link_add'];
		} elseif ($this->config->get('link_add')) { 
			$this->data['modules'] = $this->config->get('link_add');
		}
		
		$this->data['links_all_data'] = array();
		
		if(isset($this->data['modules'])){
			foreach($this->data['modules'] as $modules){
			
			if(isset($modules['link_image'])){
				$image_link = $this->model_tool_image->resize($modules['link_image'], 100, 100);
			} else{
				$image_link = $this->model_tool_image->resize('no_image.jpg', 100, 100);
			}
			
			$this->data['links_all_data'][] = array(
				'link_name'    => $modules['link_name'],
				'link_url'     => $modules['link_url'],
				'link_image_n' => $modules['link_image'],
				'link_image'   => $image_link,
				'link_status'  => $modules['link_status']
			);
			}
			
		}
		
		if (isset($this->request->post['link_settings'])) {
			$this->data['link_config'] = $this->request->post['link_settings'];
		} elseif ($this->config->get('link_settings')) { 
			$this->data['link_config'] = $this->config->get('link_settings');
		}
		
		$this->data['token'] = $this->session->data['token'];
		
		$this->data['no_image'] = $this->model_tool_image->resize('no_image.jpg', 100, 100);
						
		$this->load->model('design/layout');
		
		$this->data['layouts'] = $this->model_design_layout->getLayouts();

		$this->load->model('design/banner');
		
		$this->data['banners'] = $this->model_design_banner->getBanners();
		
		$this->template = 'module/customerlink.tpl';
		$this->children = array(
			'common/header',
			'common/footer'
		);
				
		$this->response->setOutput($this->render());
	}
	
	protected function validate() {
		if (!$this->user->hasPermission('modify', 'module/donation')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}
					
		if (!$this->error) {
			return true;
		} else {
			return false;
		}	
	}
}
?>